Bug 238552 - Ardour 2.0 is released
Ardour 2.0 is released
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ardour (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
http://www.ardour.org/node/895
:
: 245705 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-01 08:19 EDT by Nils Philippsen
Modified: 2007-11-30 17:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-12 09:07:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2007-05-01 08:19:47 EDT
Ardour 2.0 is released and apparently backwards compatible:

From http://www.ardour.org/node/895 :

"This new version is fully backward-compatible with older releases of Ardour,
and can be installed in parallel with them."
Comment 1 Anthony Green 2007-05-02 10:14:10 EDT
Thanks.  I've just started working on this, although I was only planning on
doing this for F7.
Comment 2 Per Thomas Jahr 2007-06-21 14:56:01 EDT
What is the status for this task? Let me know if there is something I can help 
out with (like testing f.ex.).
Comment 3 Nils Philippsen 2007-09-17 05:28:36 EDT
changed product version to f7
Comment 4 Nils Philippsen 2007-09-17 05:28:47 EDT
*** Bug 245705 has been marked as a duplicate of this bug. ***
Comment 5 Nils Philippsen 2007-09-17 05:29:57 EDT
Ardour 2.0.5 released:

http://www.ardour.org/node/1155
Comment 6 Hans de Goede 2007-09-17 15:04:31 EDT
Anthony anything I can do to help?

Have you considered using the CCRMA spec file for 2.0?
Comment 7 Keith Sharp 2007-09-29 04:33:31 EDT
Ardour 2.1 has been released:

    http://www.ardour.org/node/1267

Probably best to skip straight to this version as it contains a fix for
translation domains that may make it easier to do 0.99 and 2.1 parallel installs
(if that is a requirement, I'm not sure it is).
Comment 8 Anthony Green 2007-10-09 06:45:15 EDT
We need to do some tricky coordination with the ccrma repository in order to
provide a clean upgrade path.

See the thread here:
https://www.redhat.com/archives/fedora-music-list/2007-May/msg00012.html
Comment 9 Anthony Green 2007-10-09 06:49:38 EDT
(In reply to comment #6)
> Anthony anything I can do to help?
> 
> Have you considered using the CCRMA spec file for 2.0?
> 

A long time ago I started a 2.0 SRPM.  Here it is...
http://spindazzle.org/ardour-2.0-1.src.rpm

I wanted to preserve the "ardour" name, and not go with "ardour2" as is found in
the ccrma repository, however it required some tricky coordination and I never
followed through.

Hans - if you have time to make this happen I'd be really grateful.  Let me know.



Comment 10 Hans de Goede 2007-10-09 17:23:24 EDT
Okay,

I've made an srpm for 2.1, which merges your (AG) srpm with the latest from
CCRMA. Fernando, I'm adding you to the CC, as I'm pretty sure you want to be
involved in this. I've made an ardour 2.1 SRPM based of the 2.0 srpm done by
Anthony, I've merged in a couple of improvements / fixes from the CCRMA package
and added a bunch of packaging fixes myself. I still have to test this in mock
to see if the BR's are ok.

I've made this obsolete and provide ardour2 so that the current CCRMA users will
automatically switch to using the Fedora package. I think updating current
Fedora ardour users from ardour 1 to ardour 2 like this will do is ok,
especially as always automatically updating to the latest is typically Fedora.

Any feedback on the SRPM much appreciated. Once its passed a mock build and has
gotten a thumbs up from you 2, I would like to push this to rawhide asap, so
don't we won't have an antiquated audour in F-8.
Comment 11 Hans de Goede 2007-10-09 17:24:15 EDT
Erm, oops, here is the SRPM:
http://people.atrpms.net/~hdegoede/ardour-2.1-2.fc8.src.rpm
Comment 12 Anthony Green 2007-10-09 18:39:56 EDT
(In reply to comment #11)
> Erm, oops, here is the SRPM:
> http://people.atrpms.net/~hdegoede/ardour-2.1-2.fc8.src.rpm
> 

I tried building this on FC6, which is all I have handy at the moment.  Is there
some reason it shouldn't build there?

+ mkdir -p /var/tmp/ardour-2.1-2-root-root/usr/share/applications
+ desktop-file-install --vendor fedora --dir
/var/tmp/ardour-2.1-2-root-root/usr/share/applications
/usr/src/redhat/SOURCES/ardour2.desktop
/usr/src/redhat/SOURCES/ardour2.desktop: missing encoding  (guessed UTF-8)
+ /usr/lib/rpm/redhat/find-lang.sh /var/tmp/ardour-2.1-2-root-root gtk_ardour
No translations found for gtk_ardour in /var/tmp/ardour-2.1-2-root-root
error: Bad exit status from /var/tmp/rpm-tmp.3326 (%install)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.3326 (%install)
Comment 13 Fernando Lopez-Lezcano 2007-10-09 19:09:23 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > Erm, oops, here is the SRPM:
> > http://people.atrpms.net/~hdegoede/ardour-2.1-2.fc8.src.rpm
> > 
> 
> I tried building this on FC6, which is all I have handy at the moment.  Is there
> some reason it shouldn't build there?
> 
> + mkdir -p /var/tmp/ardour-2.1-2-root-root/usr/share/applications
> + desktop-file-install --vendor fedora --dir
> /var/tmp/ardour-2.1-2-root-root/usr/share/applications
> /usr/src/redhat/SOURCES/ardour2.desktop
> /usr/src/redhat/SOURCES/ardour2.desktop: missing encoding  (guessed UTF-8)
> + /usr/lib/rpm/redhat/find-lang.sh /var/tmp/ardour-2.1-2-root-root gtk_ardour
> No translations found for gtk_ardour in /var/tmp/ardour-2.1-2-root-root
> error: Bad exit status from /var/tmp/rpm-tmp.3326 (%install)
> 
> 
> RPM build errors:
>     Bad exit status from /var/tmp/rpm-tmp.3326 (%install)

The translation is named differently now, the lines should be:

----
%find_lang gtk2_ardour
cat gtk2_ardour.lang > ardour.lang
%find_lang libardour2
cat libardour2.lang >> ardour.lang
%find_lang libgtkmm2ext
cat libgtkmm2ext.lang >> ardour.lang
----

The package was probably based on an older version of my spec file:

* Fri Sep 28 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 2.1-1
- updated to 2.1
- normalize desktop categories to the standard
- translations now named gtk2_ardour and libardour2
Comment 14 Hans de Goede 2007-10-10 17:30:21 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > Erm, oops, here is the SRPM:
> > http://people.atrpms.net/~hdegoede/ardour-2.1-2.fc8.src.rpm
> > 
> 
> I tried building this on FC6, which is all I have handy at the moment.  Is there
> some reason it shouldn't build there?
> 

My fault (as explained by nando) it was late yesterday evening and I wanted to
go to to bed. ardour takes ages to build, so I just went ahead an announced my
work here, while it was still building. 

Here is a new tested version:
http://people.atrpms.net/~hdegoede/ardour-2.1-3.fc8.src.rpm

I still haven't done a mock build to check the buildrequires though. I will be
very gratefull, if the 2 of you could give this version a good test run and the
spec a quick look over.
Comment 15 Anthony Green 2007-10-11 07:32:50 EDT
This package built cleanly with mock on a rawhide system.

However...
$ rpmlint /var/lib/mock/fedora-development-i386/result/ardour-2.1-3.fc8.i386.rpm 
ardour.i386: W: file-not-utf8 /usr/share/doc/ardour-2.1/DOCUMENTATION/README.fr
ardour.i386: W: file-not-utf8 /usr/share/doc/ardour-2.1/DOCUMENTATION/TRANSLATORS
ardour.i386: W: file-not-utf8 /usr/share/doc/ardour-2.1/DOCUMENTATION/README.it

Also, do we really want the binary to be called "ardour2", or just "ardour".

Thanks Hans.  I believe I've granted you all the access you need for this
package as well.
Comment 16 Hans de Goede 2007-10-11 07:56:20 EDT
(In reply to comment #15)
> This package built cleanly with mock on a rawhide system.
> 
> However...
> $ rpmlint /var/lib/mock/fedora-development-i386/result/ardour-2.1-3.fc8.i386.rpm 
> ardour.i386: W: file-not-utf8 /usr/share/doc/ardour-2.1/DOCUMENTATION/README.fr
> ardour.i386: W: file-not-utf8 /usr/share/doc/ardour-2.1/DOCUMENTATION/TRANSLATORS
> ardour.i386: W: file-not-utf8 /usr/share/doc/ardour-2.1/DOCUMENTATION/README.it
> 

Hmm, will fix with the next iteration.

> Also, do we really want the binary to be called "ardour2", or just "ardour".
> 

Well upstream calls it ardour2, so lets stick with that.

> Thanks Hans.  I believe I've granted you all the access you need for this
> package as well.

Your welcome, and thanks.

So is there anything beside the non UTF-8 encoding that needs doing before
pushing this?

Also push to F-7 updates-testing? I tend to just pushing ot to rawhide for now.
Comment 17 Anthony Green 2007-10-11 08:13:06 EDT
(In reply to comment #16)
> So is there anything beside the non UTF-8 encoding that needs doing before
> pushing this?

I don't think so.

> Also push to F-7 updates-testing? I tend to just pushing ot to rawhide for now.

I don't have a strong opinion.  Personally, I'm skipping from FC-6 to F-8 for my
main system.

I'll note, however, that this bug was originally filed against F-7.
Comment 18 Nils Philippsen 2007-10-11 08:25:52 EDT
(In reply to comment #16)
> Also push to F-7 updates-testing? I tend to just pushing ot to rawhide for now.

I don't really mind if F7 would stay with the old version. Personally, I like to
keep my packages on the same version for all Fedora versions, it reduces work in
most cases. But that's your call.
Comment 19 Hans de Goede 2007-10-12 09:07:24 EDT
I've commited and build my latest version + encoding fixes to rawhide, so I
guess this can be closed now.

Note You need to log in before you can comment on or make changes to this bug.